## iulib 0.3

=== debian/changelog ===
iulib (0.3-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to autoreconf (Closes: #818515).
  * Bump compat level to 9 and std-version to 3.9.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Apr 2016 11:02:55 +0200

iulib (0.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtiff-dev, not libtiff4-dev" (Closes: #736015)
  * Change B-D to libpng-dev (Closes: #662381)
  * Fix GCC-5 build failiure by removing default parameters. (Closes: #799574)

 -- Tobias Frost <tobi@debian.org>  Sat, 23 Jan 2016 18:32:44 +0100

iulib (0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #724394)

 -- Eric Dorland <eric@debian.org>  Sat, 08 Mar 2014 02:46:04 -0500

iulib (0.3-3) unstable; urgency=low

  * Honour CPPFLAGS from dpkg-buildflags.
  * Multi-archify:
    + Make libiulib0 and libulib-dev ‘Multi-Arch: same’.
    + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libiulib0.
    + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
      /usr/lib.
    + Bump minimum required version of dpkg-dev to 1.16.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 29 Oct 2011 22:28:04 +0200

iulib (0.3-2) unstable; urgency=low

  * Acknowledge NMU. Thanks to Luc Claes for his work.
  * Replace build-dependency on libjpeg62-dev with libjpeg-dev
    (closes: #634033). Thanks to Bill Allombert for the bug report.
  * Stop build-depending on FFmpeg libraries (closes: #569582).
  * Switch to source format 3.0 (quilt).
    + Add debian/source/format.
    + Drop README.source.
    + Drop build-dependency on quilt.
    + Don't use ‘quilt’ dh addon.
    + Remove explicit calls to dh_quilt_*patch in debian/rules.
  * Add myself to uploaders.
  * Update watch file.
  * Move libiulib0 to section libs.
  * Bump build-dependency on debhelper to >= 7.0.50.
  * Make patch headers DEP-3 compliant.
  * Remove unused ‘destdir’ patch.
  * Bump standards version to 3.9.2 (no changes needed).
  * Drop DM-Upload-Allowed field, no longer needed.
  * Honour {C,CXX,LD}FLAGS from dpkg-buildflags.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 16 Jul 2011 15:41:06 +0200

iulib (0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621518).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 20:03:03 +0200

iulib (0.3-1) unstable; urgency=low

  * Initial release. (Closes: #508143)

 -- Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>  Wed, 06 May 2009 22:05:13 +0200
