=== debian/control ===
Source: iulib
Section: graphics
Priority: optional
Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libpng-dev, libjpeg-dev, libtiff-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, dpkg-dev (>= 1.16)
Standards-Version: 3.9.8
Homepage: http://code.google.com/p/iulib/

Package: libiulib0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library of image understanding-related algorithms
 Iulib provides basic image processing, mathematical morphology, and machine  
 learning algorithms.
 .
 Iulib implements easy-to-use image and video I/O functions, as well as a  
 large number of common image processing functions.
 .
 Design goals are high portability, easy-to-understand algorithms, no  
 reliance on STL, and using a minimal set of data structures. Almost all  
 interfaces are written in terms of just numbers and the simple narray array  
 class.

Package: libiulib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libiulib0 (= ${binary:Version})
Description: C++ library of image understanding-related algorithms -- development files
 Iulib provides basic image processing, mathematical morphology, and machine  
 learning algorithms.
 .
 Iulib implements easy-to-use image and video I/O functions, as well as a  
 large number of common image processing functions.
 .
 Design goals are high portability, easy-to-understand algorithms, no  
 reliance on STL, and using a minimal set of data structures. Almost all  
 interfaces are written in terms of just numbers and the simple narray array  
 class.
 .
 This package includes header files and static libraries needed to compile
 programs using libiulib
