## iulib 0.4

=== debian/changelog ===
iulib (0.4-1) experimental; urgency=low

  * New upstream release.
    + Drop patches/ftbfs, applied upstream.
    + Build system uses now scons: drop patches/destdir; update
      patches/shared_library and debian/rules accordingly.
    + Fix SDL libraries detection (patches/sdl_detection).
    + Build-depend on ImageMagick.
    + Update and compact debian/copyright.
  * Add myself to uploaders.
  * Move libiulib0 to section libs.
  * Use source format 3.0 (quilt).
  * Bump standards version to 3.8.4 (no changes needed).
  * Add symbols file. Build-depend on dpkg-dev (>= 1.15.3~), as we
    are using symbol tags.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 10 Feb 2010 17:21:24 +0100
