=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
 Uploaders: Jakub Wilk <jwilk@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libpng-dev, libjpeg-dev, libtiff-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, dpkg-dev (>= 1.16)
-Standards-Version: 3.9.8
+Build-Depends: dpkg-dev (>= 1.15.3~), debhelper (>= 7.0.50~), scons,
+  libpng12-dev, libjpeg62-dev, libtiff4-dev, libavcodec-dev, libavformat-dev,
+  libsdl-gfx1.2-dev, libsdl-image1.2-dev, imagemagick
+Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
 Homepage: http://code.google.com/p/iulib/
 
 Package: libiulib0
 Section: libs
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ library of image understanding-related algorithms
  Iulib provides basic image processing, mathematical morphology, and machine  
@@ -28,7 +29,6 @@
 Package: libiulib-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libiulib0 (= ${binary:Version})
 Description: C++ library of image understanding-related algorithms -- development files
  Iulib provides basic image processing, mathematical morphology, and machine
