=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	rm -f configure configure.ac

override_dh_auto_clean:
	-scons -c

override_du_auto_build:
	scons prefix=/usr

override_dh_auto_install:
	scons prefix=$(CURDIR)/debian/tmp/usr/ install
	cd debian/tmp/usr/lib/ && ln libiulib.so libiulib.so.0

%:
	dh $@
