## iulib 0.4%2bis%2b0.3

=== debian/changelog ===
iulib (0.4+is+0.3-3ubuntu2) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on libtiff-dev, instead of libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 May 2014 10:53:27 +0100

iulib (0.4+is+0.3-3ubuntu1) trusty; urgency=low

  * Build depend on libtiff-dev, instead of libtiff4-dev

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 05 Dec 2013 22:52:31 +0000

iulib (0.4+is+0.3-3) precise; urgency=low

  * Fake sync with Debian unstable.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Nov 2011 10:17:26 +0100

iulib (0.4+is+0.3-1ubuntu1) precise; urgency=low

  * Build-depend on libjpeg-dev rather than libjpeg62-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 22:47:35 +0000

iulib (0.4+is+0.3-1build1) natty; urgency=low

  * No-change rebuild to pick up multiarch libraries.

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 04 Apr 2011 06:03:48 +0200

iulib (0.4+is+0.3-1) maverick; urgency=low

  * Revert to 0.3-1 for maverick release so that ocropus (0.3) can be built.
    See LP Bug #500527 for details.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 26 Sep 2010 14:06:28 +0200
