## iulib 0.4+is+0.3

=== SConstruct ===
--- 
+++ 
@@ -36,18 +36,16 @@
 
 ### Options exposed via SCons
 opts = Options('custom.py')
-opts.Add('opt', 'Compiler flags for optimization/debugging', "-g -O3")
-opts.Add('warn', 'Compiler flags for warnings', "-Wall -D__warn_unused_result__=__far__")
+opts.Add('opt', 'Compiler flags for optimization/debugging', "-g")
+opts.Add('warn', 'Compiler flags for warnings', "-Wall")
 opts.Add('prefix', 'The installation root for iulib', "/usr/local")
 
 ### globals
 env = Environment(options=opts, CXXFLAGS="${opt} ${warn}")
 Help(opts.GenerateHelpText(env))
 conf = Configure(env)
-if "-DUNSAFE" in env["opt"]:
+if "-DUNSAFE" in env["opt"] or re.search(r'-O[234]',env["opt"]):
     print "WARNING: compile with -DUNSAFE or high optimization only for production use"
-if re.search(r'-O[234]',env["opt"]):
-    print "compiling with high optimization"
 if not re.search(r'-O[234]',env["opt"]):
     print "compiling for development (slower but safer)"
 
@@ -60,8 +58,8 @@
     missing += " libpng12-dev"
 if not conf.CheckLibWithHeader('jpeg', 'jconfig.h', 'C', 'jpeg_std_error();', 1):
     missing += " libjpeg62-dev"    
-if not conf.CheckLibWithHeader('tiff', 'tiff.h', 'C', 'inflate();', 1):
-   missing += " libtiff4-dev"
+# if not conf.CheckLibWithHeader('tiff', 'tiff.h', 'C', 'inflate();', 1):
+#    missing += " libtiff4-dev"
 
 if missing:
     print "\nPlease install the following required libraries (or equivalent):"
@@ -74,11 +72,7 @@
              conf.CheckCXXHeader("ffmpeg/avformat.h")
 have_v4l2 = conf.CheckHeader("linux/videodev2.h")
 have_sdl = conf.CheckCXXHeader("SDL/SDL_gfxPrimitives.h") and \
-           conf.CheckCXXHeader("SDL/SDL.h")
-
-have_vidio = 0 # FIXME
-have_v4l2 = 0 # FIXME
-have_sdl = 1
+           conf.CheckCXXHeader("SDL/SDL.h") and \
 conf.Finish()
 
 ### install folders
@@ -90,13 +84,13 @@
 bindir = prefix+"/bin"
 
 ### collect sources etc.
-env.Prepend(CPPPATH=[".","colib","imglib","imgio","imgbits","utils","vidio"])
+env.Prepend(CPPPATH=[".","colib","imglib","imgio","imgbits","utils"])
 
 sources = glob.glob("imglib/img*.cc") 
 sources += glob.glob("imgbits/img*.cc")
 sources += """
     imgio/autoinvert.cc imgio/imgio.cc imgio/io_jpeg.cc
-    imgio/io_pbm.cc imgio/io_png.cc imgio/io_tiff.cc
+    imgio/io_pbm.cc imgio/io_png.cc
 """.split()
 
 if have_vidio:
@@ -104,14 +98,14 @@
 if have_v4l2:
     sources += glob.glob("vidio/v4l2cap.cc")
 if have_sdl:
-    sources += ["utils/dgraphics.cc","utils/SDL_lines.cc"]
+    sources += ["utils/dgraphics.cc"]
 else:
     sources += ["utils/dgraphics_nosdl.cc"]
 
 libiulib = env.StaticLibrary('libiulib.a',sources)
 
 env.Append(LIBPATH=['.'])
-progs = env.Clone()
+progs = env.Copy()
 progs.Append(LIBS=libiulib)
 for file in glob.glob("commands/*.cc"):
     progs.Program(file[:-3],file)
