=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
 Uploaders: Jakub Wilk <jwilk@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, automake1.11, libtool (>= 2), libpng12-dev, libjpeg-dev, libtiff-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, dpkg-dev (>= 1.16)
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, automake1.9, libtool (>= 2), libpng12-dev, libjpeg-dev, libtiff-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, dpkg-dev (>= 1.16)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/iulib/
