=== debian/watch ===
version=3
http://code.google.com/p/iulib/downloads/list //iulib.googlecode.com/files/iulib-(.*)\.ta?r?\.?gz
