=== debian/changelog ===
iulib (0.4.4+ds-1) experimental; urgency=low
 
  * New upstream release:
    + Upstream is not providing tarballs, repackage source using Mercurial
      repositories (hence ‘+ds’ suffix in the version number).
    + Bump SOVERSION to 0d; explain in README.source that SONAME is
      Debian-specific.
    + Update years in debian/copyright.
    + Refresh patches.
  * Stop build-depending on ffmpeg libraries (closes: #569582).
  * Replace build-dependency on libjpeg62-dev with libjpeg-dev.
  * Add support for parallel builds.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Apr 2010 00:24:59 +0200
