=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: iulib
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
+Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
 Uploaders: Jakub Wilk <jwilk@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, automake1.9, libtool (>= 2), libpng12-dev, libjpeg-dev, libtiff-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, dpkg-dev (>= 1.16)
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.15.3~), debhelper (>= 7.0.50~), scons,
+  libpng12-dev, libjpeg-dev, libtiff4-dev,
+  libsdl-gfx1.2-dev, libsdl-image1.2-dev, imagemagick
+Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
 Homepage: http://code.google.com/p/iulib/
 
-Package: libiulib0
+Package: libiulib0d
 Section: libs
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ library of image understanding-related algorithms
  Iulib provides basic image processing, mathematical morphology, and machine  
@@ -29,8 +29,7 @@
 Package: libiulib-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libiulib0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libiulib0d (= ${binary:Version})
 Description: C++ library of image understanding-related algorithms -- development files
  Iulib provides basic image processing, mathematical morphology, and machine  
  learning algorithms.
