=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://code.google.com/p/iulib/downloads/list http://iulib.googlecode.com/files/iulib-(.*)\.ta?r?\.?gz
